%% načtení fasta souboru
clc, close all,clear all
% [hlavicka,seq]=fastaread('Ignicoccus hospitalis KIN4I, complete genome.fasta'); 
% [hlavicka,seq]=fastaread('Ostreococcus tauri WGS project.fasta'); 
% [hlavicka,seq]=fastaread('Pragia Fontia 24163.fasta'); 

l=length(seq);

N=7; %počet kontigů

% generování breakpointů o rozestupech cca 160-450 tis.
a = 160000;b = 220000;
r = (b-a).*rand(N,1) + a;
r=round(r);
r_range=[min(r) max(r)];
breakpoints=cumsum(r);

% generování délek prekryvu 500 - 2000
a = 2000;b = 6000;
p = (b-a).*rand(2*N,1) + a;
p=round(p);
p_range=[min(p) max(p)];
prekryvy=p;

% data=cell(N,1);
for i=1:N
    if i==1
        data(i).Sequence=seq(1:breakpoints(i)+prekryvy(i));
    elseif i==N
        data(i).Sequence=seq(breakpoints(i-1)-prekryvy(i+1):end);
    else
        data(i).Sequence=seq(breakpoints(i-1)-prekryvy(i):breakpoints(i)+prekryvy(i+1));
    end
  data(i).Header='Umělá data - kontigy';
end

fastawrite('Ignicoccus hospitalis_Hard3.fasta', data)
% fastawrite('Ostreococcus tauri_kontigy_Hard.fasta', data)
% fastawrite('Pragia Fontium_Easy2.fasta', data)